Введение

PROFIBUS DP Master Simulator

PROFIBUS DP Master Simulator является простым в использовании программным обеспечением для обмена данными с Profibus DP Slave устройствами. PROFIBUS DP Master Simulator может обмениваться данными с Profibus Slave устройством даже без GSD файла или type-file. Profibus Slave устройство может быть добавлено в цепь передачи данных посредством стандартного окна назначения I/O (входов и выходов). Входные данные могут быть считаны, а выходные данные могут быть записаны в Profibus Slave устройство. Кроме того, PROFIBUS Master Simulator также поддерживает работу с GSD файлами. Адрес Profibus устройства можно без затруднений изменить с помощью Profibus DP Master Simulator, данная опция очень полезна в случаях, когда используются, например, Profibus модули ввода/вывода с классом защиты IP67 без адресных переключателей.

Комплект Profibus DP Master Simulator содержит программное обеспечение и Profibus преобразователь.

Преобразователь является идеальным устройством для конвертирования протокола RS232 в Profibus DP. Преобразователь не требует никакого дополнительного источника питания. Именно поэтому он идеален для мобильного использования при подключении к ноутбуку. Преобразователь просто вставляется между Profibus Slave устройством и кабельным разъёмом RS232.

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


File Menu

Данное меню содержит следующие функции:

Clear Configuration (GSD)

Данная команда используется для удаления текущей конфигурации.

Open GSD

Используется для открытия существующего GSD файла. Данная функция вызывает диалоговое окно Open GSD. После открытия необходимого файла вызовется меню Configurator Editor.

Edit Configuration (GSD)

Открывает Configurator Editor. Данная опция возможно только в том случае, если ранее был открыт GSD файл.

Open Configuration (GSD)

Открывает сохранённый конфигурационный файл (.gcf) и открывает Configurator Editor. Соответствующий файл GSD должен находится в том же месте, где он находился ранее, при сохранении .gcf файла.

Save Configuration as (GSD)

Используется для сохранения конфигурации в .gsf файле. Данная функция открывает диалоговое окно Export Configuration, которое позволит указать имя файла и путь для сохранения.

Exit

Выход из Profibus DP Master Simulator.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Address Menu

Меню имеет следующие команды:

Change PROFIBUS Slave Address
Используйте эту команду для назначения адресов Profibus Slave устройствам.

Search PROFIBUS Slave Address Window
Данная команда открывает окно для поиска Profibus Slave устройств. Это функция только откроет окно, но сам поиск выполнен не будет. Тип поискового окна может быть выбран командой Graphical Display в Window Menu. В текстовой версии не обнаруженные адреса Slave устройств отображаются в круглых скобках.

Start Search PROFIBUS Slave Address
Используйте данную команду для начала поиска Profibus Slave устройств.

Stop Search PROFIBUS Slave Address
Используйте эту команду для остановки поиска Slave устройств.

Device Description.
Данная команда применяется для создания и изменения собственного описания Profibus устройств.

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Communication Menu

Данное меню содержит следующие команды:

Info
Данная команда открывает диалоговое окно, которое показывает текущие настройки связи.

Settings
Используйте данную команду для изменения текущих настроек связи.

Communicator Window
Данная команда открывает Communicator Window.

Plugin Window
Данная команда открывает окно для подключения плагинов к конкретному Profibus Slave устройству. Операция доступна только после первого сеанса связи с данным устройством.

DPV1 Class 1 Master Acyclic Window
Позволяет открыть окно DPV1 MSAC1. Данное окно используется для настройки доступа к данным с помощью ациклического обмена данными, используя функции DP Master класса 1.

DPV1 Class 2 Master Acyclic Window
Позволяет открыть окно DPV1 MSAC2. Данное окно используется для настройки доступа к данным с помощью ациклического обмена данными, используя функции DP Master класса 2.

Easy Start
Используйте данную команду для начала связи со Slave устройствами без использования GSD файла. Конфигурация будет считана со Slave устройств, пользовательские параметры использоваться не будут. При работе с устройствами DPV1, связь DPV1 MSAC1 невозможна.

Start with GSD

Данная команда инициализирует последовательную связь с устройствами с помощью GSD файла.

Stop

Использование этой команды останавливает циклическую, а также DPV1 MSAC1 связь со Slave устройствами.

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation


Communicator Window

Communication Menu ››

Главное окно программы Profibus DP Master Simulator содержит следующие элементы:

Current Slave Address
В данном пункте вводится адрес подключенного Profibus Slave устройства, также можно использовать команду Start Search PROFIBUS Slave в Address Menu. Адрес Profibus Slave устройства при успешном обнаружении отобразится в данном пункте.

Norm Diagnosis
Данные флаги отображают наиболее важную диагностическую информацию в соответствии с DIN 19245-3. Флаги нередактируемые.
Ext Diag
Указывает состояние Diag.Ext_Diag (Байт 1; Бит 3). Если флаг установлен, то будет осуществляться диагностика подключенных Slave устройств.
Stat Diag
Указывает состояние Diag.Stat_Diag (Байт 2; Бит 1). Slave устройство устанавливает данный флаг если данные не могут быть сгенерированы. В данном состоянии обмен данными не возможен.
Prm Fault
Указывает состояние Diag.Prm_Fault (Байт 1; Бит 6). Положительное состояние данного флага, указывает на неверное параметрирование.
Cfg Fault
Указывает состояние Diag.Cfg_Fault (Байт 1; Бит 2). Положительное состояние данного флага, указывает на неверно заданную конфигурацию.
Diag Overflow
Указывает состояние Diag.Ext_Diag_Overflow (Байт 3; Бит 7). Диагностические данные Slave устройств слишком объёмные для размещения в буфере обмена.

Freeze Output
При помощи данного управляющего поля возможно «заморозить» выходные данные с Profibus Slave устройств в текущем состоянии. Данная опция не имеет ничего общего со службой Profibus Global Control Freeze.

Single Bit Mode
Даёт возможность выставлять значения каждого бита отдельно.

Communication Active

Данный элемент отображает статус связи с Profibus Slave устройствами. Запуск и остановка связи со Slave устройствами происходит с помощью соответствующих команд из Communication Menu.

Status
Отображает статус соединения на данный момент.

Зеленый - Profibus соединение установлено без ошибок

Серый цвет - Ошибка при установлении Profibus соединения

Edit
Позволяет вручную сформировать необходимый формат посылки (по умолчанию Profibus DP Master Simulator в выделенную область памяти посылает значение «0»).

Parameter
Отображает настройки пользователя.

Config
Отображает активную конфигурацию на данный момент.

Output Data
Отображает выходные данные для записи во внешние устройства в шестнадцатеричной, двоичной, ASCII и десятичной формах исчислений.

Input Data
Отображает входные (принимаемые) данные в шестнадцатеричной, двоичной, ASCII и десятичной формах исчислений.

User Diagnosis
Отображает данные диагностики в шестнадцатеричной и двоичных формах исчислений

Created with the Personal Edition of HelpNDoc: Free EPub producer


PROFIsafe

Communication Menu ›› Communicator Window ››

PROFIsafe (F-профиль) - профиль промышленной шины PROFIBUS, предназначенный для создания безопасных систем автоматизации на производстве.

F-профиль может обеспечивать одновременную работу стандартных PROFIBUS-устройств и ProfiSafe-устройств (далее F-устройств).

F - Output Data - Выходные данные с "17: XX XXXXXXXX . X" по "24: XX XXXXXXXX . X". ( F - Выходные данные помеченные жёлтым цветом ).

F - Input Data - Входные данные с "17: XX XXXXXXXX . X" по "24: XX XXXXXXXX . X". ( F - Входные данные помеченные жёлтым цветом ).

ОА_С - вторая позиция бита, первый байт (выделен серым цветом) после F-Output Data (выделено жёлтым цветом). Output Data "25 000000X0 . 0" . Operator Acknowledgement (для возобновление передачи данных после ошибки : acknowledge OA_C ('0'->'1'), если OA_Req_S и FV_activated_S активны ('1') ).

activate_FV_C - первая позиция бита, первый байт (выделен серым цветом) после F-Output Data (выделено жёлтым цветом). Output Data: "25: 00 0000000X . 0". '1' : Безопасные значения будут инициализированы в F-устройствах.

OA_Req_S - вторая позиция бита, первый байт (выделен серым цветом) после F-Input Data (выделено жёлтым цветом). Input Data: "25: 00 000000X0 . 0". '1' : Когда неисправность (Watchdog, CRC, Cons. Nr.) обнаружена и устранена.

FV_activated_S - первая позиция бита, первый байт (выделен серым цветом) после F-Input Data (выделено жёлтым цветом). Input Data: "25: 00 0000000X . 0". '1' : Безопасные значения инициализированы в F-устройствах.

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


The DPV1 Class 1 Master Acyclic Window

Communication Menu ››

В данном окне возможно использовать функции DP Master’а класса 1. Функции доступны только в том случае, если в режиме DPV1 установлено циклическое соединение. Окно содержит следующие элементы:

Response Timeout:

Контроль ожидания ответа выбирается кратным 10мс (возможные значение 0-65535). Очень малые значения могут вызывать проблемы со связью. Если GSD файл содержит C1_Response_Timeout ключ, значение обновляется автоматически.

Slot Number:

Выбирается необходимый слот для доступа к данным. (Возможные значения 0-255)

Index:

Выбирается необходимый индекс для доступа к данным. (Возможные значения 0-255)

Length

При использовании команды read задаётся длина считываемых данных. (Возможные значения 0-240)

Command

С помощью данной опции выбирается команда для работы с данными (read или write (считывание или запись данных)).

Write Data

При использовании команд записи данных, посылаемые данные задаются в данном поле. Для разделения по байтам может использоваться либо пробел, либо двоеточие.

Read Data

В данном поле отображается результат считывания данных.

Status

Отображается статус выполняемой операции. Красный цвет текста всегда информирует об ошибке.

Single

Данная кнопка инициализирует единственную операцию с данными. Функция доступна только для режима «Start with GSD», устройство должно быть подключено и режим DPV1 должен быть активирован.

Continuous

Данная кнопка инициализирует цикличное обращение к данным. Операция может быть прервана только кнопкой Stop . Функция доступна только для режима «Start with GSD», устройство должно быть подключено и режим DPV1 должен быть активирован.

Stop

Прерывает операцию инициализированную кнопкой Continuous.

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation


The DPV1 Class 2 Master Acyclic Window

Communication Menu ››

With the DPV1 MSAC2 window it is possible to use master class 2 services with every slave independent of the cyclic communication. The window contains the following elements:

Remote Address
Choose here the address of the slave for DPV1 communication. (Possible Values: 0-126)

Advanced
With this control the advanced initiate parameters could be activated. Usually the modification of the advanced parameters is not required!

Send Timeout (optional)
With this control the communication timeout could be selected in 10 ms units. (Possible values: 0-65535). Very small values cause communication problems. If the GSD file contains the C2_Response_Timeout key, the value is updated automatically.

Features Supported 1 and 2 (optional)
With these controls the desired slave features could be selected. At the moment only bit 0 of feature 1 is defined and must be set to 1 (Possible values: 00h-FFh, See DPV1 Guideline).

Profile Features Supported 1 and 2 (optional)
Here the desired slave profile features could be entered. Zero means no profile (Possible values: 00h-FFh, See DPV1 Guideline).

Profile Ident Number (optional)
This field selects the ident number of the profile. Zero means no profile (Possible values: 0000h-FFFFh, See DPV1 Guideline).

Source Addr Param (optional)
API
This field identifies the application process instance of the source (Possible values: 00h-FFh, See DPV1 Guideline).

SCL
This field selects the access level of the source (Possible values: 00h-FFh, See DPV1 Guideline).

Network Address
This control identifies the network address of the source. If not used, leave this field empty (Maximum 6 chars, See DPV1 Guideline).

MAC Address
This control defines the MAC address of the source. If not used, leave this field empty (Number of chars is limited by the telegram length, See DPV1 Guideline).

Destination Addr Param (optional)
API
This field identifies the application process instance of the destination (Possible values: 00h-FFh, See DPV1 Guideline).

SCL
This field selects the access level of the destination (Possible values: 00h-FFh, See DPV1 Guideline).

Network Address
This control identifies the network address of the destination. If not used, leave this field empty (Maximum 6 chars, See DPV1 Guideline).

MAC Address
This control defines the MAC address of the destination. If not used, leave this field empty (Number of chars is limited by the telegram length, See DPV1 Guideline).

Slot Number
With this control the slot for data access is selected (Possible values: 0-255)

Index
With this control the index for data access is selected (Possible values: 0-255)

Length
When using the read command the read length is specified here (Possible values: 0-240)

Command
This listbox selects the type of data access. Possible is read, write and data transport (read and write at the same time).

Write Data
When using writing commands (write and data transport) the sending data has to be specified here. For separation of the bytes a space or a colon can be used.

Read Data
Reading commands (read and data transport) report the result data here.

Status
Status of the current operation. Red text always means an error!

Single
This pushbutton initiates a single data access operation. The connection remains active afterwards and can be only aborted with Abort Connection.

Continuous
This pushbutton initiates a continuous data access operation. The operation can only aborted by Stop and Abort Connection.

Stop
A push on this button stops the operation started by Continuous function. Afterwards the connection remains active and can be only aborted by Abort Connection.

Abort Connection
This aborts a connection started by Single or Continuous.

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation


Extra Menu

Меню "Extra" содержит функцию записи лог-файла. Лог-файл может быть импортирован в различные внешние программы, например, расчетный лист MS Excel, где содержится временной интервал снятия входных/выходных, разделенных табуляцией.

Примечание: Данные функции доступны только при использовании протокола DPV1 (протокол DPV1 должен поддерживаться как версией симулятора так и Profibus Slave устройствами).

Sample File
Используется для указания имени лог-файла, а также пути сохранения.

Sample Rate
Настройка частоты дискретизации.

Sample Active
Запуск/остановка регистрации лог-файла.

Created with the Personal Edition of HelpNDoc: Free help authoring environment


The Configuration Editor

Module List
В Module List отображаются все доступные для работы переменные, загруженные из GSD файла конкретного устройства.

Insert
Данная опция добавляет выбранные переменные ввода/вывода данных из Module List в окно Current Configuration.

Current Configuration
В данном списке отображаются все переменные выбранные из Module List, которые будут использоваться при работе с помощью команды Start with GSD.

Default Parameter
В этом списке отображаются параметры указанные в GSD файле (User_Prm_Data)

Current Parameter
Отображает текущие настройки параметров (User_Prm_Data). Настройки могут быть изменены с помощью Prm_Data. Изменение доступно только в том случае, если GSD ревизия файла является нулевой.

Prm Data
Данная опция открывает Parameter Editor для конкретной выбранной переменной в списке Current Configuration.

Remove
Данная опция удаляет конкретную выбранную переменную в списке Current Configuration.

OK
Сохраняет все изменения произведённые в списке Current Configuration и Current Parameter и закрывает окно Configuration Editor.

Cancel
Закрывает окно Configuration Editor без сохранения изменений.

Created with the Personal Edition of HelpNDoc: Full-featured multi-format Help generator


The Parameter Editor

The Configuration Editor ››

Данное меню содержит следующие элементы:

(Примечание: Не все параметры доступны для редактирования)

Parameter Name
Вводится имя параметра. Выбирается для последующего редактирования параметра.

Text
В данном поле выбирается текст, который соответствует определённому значению. Значение в поле Value будет изменено.

Value
Значение параметра. Соответствует значению поля Text.

Data Type
Тип данных параметра.

Lower Limit
Нижнее ограничение параметра.

Upper Limit
Верхнее ограничение параметра.

OK
Закрывает Parameter Editor с сохранением введённых данных.

Cancel
Закрывает Parameter Editor без сохранения введёных данных.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


The Dialogbox Export Configuration

Для экспорта конфигурации доступны следующие опции:

File Name
Указывается имя нового файла для сохранения конфигурации (формат .CGF). Программа автоматически добавит расширение, которое будет указано с помощью опции Save File As.

Drives
Указывается диск, на котором необходимо сохранить файл конфигурации.

Directories
Указывается директория в которую будет сохранён файл настроек.

Network...
Данная опция необходима, когда файл настроек нужно сохранить на другом компьютере, расположенным в сетевом окружении.

Данное диалоговое окно является стандартным диалоговым окном ОС Windows.

Created with the Personal Edition of HelpNDoc: Free help authoring environment


The Dialogbox Open GSD

Доступны следующие опции

File Name
Указывается файл, который необходимо открыть. Возможно или напечатать имя файла вручную, либо выбрать из списка.

List Files of Type
Указывается тип файла, который необходимо открыть. По умолчанию тип файла выставлен GSD.

Drives
Указывается диск на котором сохранён файл.

Directories

Указывается директория, в которой сохранён файл.

Network.
С помощью данной опций возможно открыть файл GSD расположенный в сетевом окружении.

Данное диалоговое окно является стандартным диалоговым окном ОС Windows.

Created with the Personal Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


The Window Menu

Содержит следующие опции:

Cascade
Располагает все окна ПО каскадом, поверх друг друга.

Tile
Вписывает все открытые окна ПО на один экран.

Arrange Icons
Упорядочивает все иконки.

Graphical Display
Данная команда переключает режим поиска Slave устройств с текстового на графический.

Created with the Personal Edition of HelpNDoc: Free Kindle producer